Get VAT 874 report preview
Calculates and returns a preview of the VAT 874 report for the specified period. Uses PCN874 data for calculations.
X-Api-Key<token>
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Path Parameters
reportPeriod*string
Report period in YYYYMM format
Response Body
application/json
curl -X GET "https://example.com/tax-authority/vat-874/preview/202601"{ "reportPeriod": "202601", "vatNumber": "515555555", "businessName": "string", "incomeItems": [ "string" ], "totalTaxableSales": 0, "totalOutputVAT": 0, "exemptIncome": 0, "assetVAT": 0, "expenseVAT": 0, "totalInputVAT": 0, "netVAT": 0, "reportType": 0, "canSubmit": true, "warnings": [ "string" ], "alreadySubmitted": true, "previousReferenceNumber": "string", "salesDocumentCount": 0, "expenseCount": 0}
